////////////////////////////////////////////////////////////////////////////////////
/// 
/// \file	main.c
/// \author	Rob Bateman
/// \date	9-03-2003
/// \brief	This file is an example of loading and playing basic sound effects
///			using MediaPlayer.h & .cpp. Each sound loaded is referenced by an
///			unsigned int. Parameters can then be set for that sound by calling
///			one of the get or set functions specifying the id of the sound.
/// 
////////////////////////////////////////////////////////////////////////////////////

#include "MediaPlayer.h"
#include <stdio.h>
#include <string.h>

void main()
{
	// this is used to hold the user input text 
	char buffer[256];

	// a flag to see if the user wants to quit yet
	int done = 0;

	// initialise DirectAudio
	MediaInit();

	// load a media file
	unsigned int mediaNum = MediaLoad("../Media/3.wav");

	// keep looping until user wants to quit
	while (!done) 
	{

		// read in a string from the user
		scanf("%s",buffer);

		// if quit command read in ...
		if (strcmp(buffer,"quit")==0) 
		{
			done = 1;
		}
		else

		// if stop command read in 
		if (strcmp(buffer,"stop")==0) 
		{
			MediaStop(mediaNum);
		}
		else

		// if play command read in
		if (strcmp(buffer,"play")==0) 
		{
			MediaPlay(mediaNum);
		}
		else

		// if pause command read in
		if (strcmp(buffer,"pause")==0) 
		{
		//	Mp3Pause();
		}
		else

		// if play command read in
		if (strcmp(buffer,"getVolume")==0) 
		{
			printf("// volume = %d\n",MediaGetVolume(mediaNum));
		}
		else

		// if pause command read in
		if (strcmp(buffer,"getBalance")==0) 
		{
			printf("// balance = %d\n",MediaGetBalance(mediaNum));
		}
		else

		// if pause command read in
		if (strcmp(buffer,"getFrequency")==0) 
		{
			printf("// frequency = %d\n",MediaGetFrequency(mediaNum));
		}
		else

		// if play command read in
		if (strcmp(buffer,"setVolume")==0) 
		{
			long volume;
			printf("Please enter volume [-10000 -> 0]:\n");
			scanf("%d",&volume);
			MediaSetVolume(mediaNum,volume);
		}
		else

		// if pause command read in
		if (strcmp(buffer,"setBalance")==0) 
		{
			long balance;
			printf("Please enter balance [-10000 -> 10000]:\n");
			scanf("%d",&balance);
			MediaSetBalance(mediaNum,balance);
		}
		else

		// if pause command read in
		if (strcmp(buffer,"setFrequency")==0) 
		{
			long frq;
			printf("Please enter frequency [100 -> 100000]:\n");
			scanf("%d",&frq);
			MediaSetFrequency(mediaNum,frq);
		}
	}

	// kill DirectShow
	MediaCleanup();

}